﻿/**
 * ...
 * @author ...
 */
class PictureLayer
{
	public function Update()
	{
		xPos += xStep;
		if ( xPos >= highX) {
			xStep = Math.abs(xStep) * -1;
		}
		if ( xPos <= lowX) {
			xStep = Math.abs(xStep);
		}
		yPos += yStep;
		if ( yPos >= highY) {
			yStep = Math.abs(yStep) * -1;
		}
		if ( yPos <= lowY) {
			yStep = Math.abs(yStep);
		}
		
		mc._x =  Math.round(xPos);
		mc._y = Math.round(yPos);
	}
	
	private var mc:MovieClip;
	private var lowX:Number;
	private var highX:Number;
	private var lowY:Number;
	private var highY:Number;	
	private var xStep:Number;
	private var yStep:Number;
	private var xPos:Number;
	private var yPos:Number;
	private var parentApp:ChumbyApp;
	private var rotationStep:Number = 0.1;
	
	function PictureLayer ( 
		inParentApp: ChumbyApp,
		inMc:MovieClip, 
		inLowX:Number, inHighX:Number, 
		inLowY:Number, inHighY:Number,
		inXStep:Number, inYstep:Number,
		inXPos:Number,inYPos:Number)
		{
			parentApp = inParentApp;
			mc = inMc;
			lowX = inLowX;
			highX = inHighX;
			lowY = inLowY;
			highY = inHighY;
			xStep = inXStep;
			yStep = inYstep;
			xPos = inXPos;
			yPos = inYPos;
		}
	
		public function toString()
		{
			return "X:" + xPos + " Y:" + yPos + " HiX:" + highX + " HiY: " + highY + " LoX:" + lowX + " LoY: " + lowY; 
		}
}